Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 590442 - SIGSEV after CalDav usage via Thunderbird or Sunbird
SIGSEV after CalDav usage via Thunderbird or Sunbird
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: zarafa (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
http://lists.fedoraproject.org/piperm...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-09 10:58 EDT by Robert Scheck
Modified: 2011-06-27 12:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:12:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2010-05-09 10:58:04 EDT
Description of problem:
http://lists.fedoraproject.org/pipermail/zarafa/2010-May/000013.html:

Received this stack trace after a client using SunBird received 
MODIFICATION FAILED. The same stack trace occurred using T-Bird with the 
lightning (MODIFICATION FAILED) plug in

Did not catch any errors etc in the ical.log

Wed 05 May 2010 11:34:10 AM EDT: Caught SIGSEGV (6), traceback:
Wed 05 May 2010 11:34:10 AM EDT: 0x0000000047342b 
/usr/bin/zarafa-server(_Z7sigsegvi+0x4b) [0x47342b]
Wed 05 May 2010 11:34:10 AM EDT: 0x007f2516660960 
/lib64/libpthread.so.0(+0xf960) [0x7f2516660960]
Wed 05 May 2010 11:34:10 AM EDT: 0x007f25162fd955 
/lib64/libc.so.6(gsignal+0x35) [0x7f25162fd955]
Wed 05 May 2010 11:34:10 AM EDT: 0x007f25162ff135 
/lib64/libc.so.6(abort+0x175) [0x7f25162ff135]
Wed 05 May 2010 11:34:10 AM EDT: 0x007f251633b6bb 
/lib64/libc.so.6(+0x716bb) [0x7f251633b6bb]
Wed 05 May 2010 11:34:10 AM EDT: 0x007f2516341076 
/lib64/libc.so.6(+0x77076) [0x7f2516341076]
Wed 05 May 2010 11:34:10 AM EDT: 0x000000005688a3 
/usr/bin/zarafa-server(soap_dealloc+0xc3) [0x5688a3]
Wed 05 May 2010 11:34:10 AM EDT: 0x00000000570798 
/usr/bin/zarafa-server(soap_end+0x18) [0x570798]
Wed 05 May 2010 11:34:10 AM EDT: 0x00000000477ec3 
/usr/bin/zarafa-server(_Z16gsoap_fserveloopP4soap+0x13) [0x477ec3]
Wed 05 May 2010 11:34:10 AM EDT: 0x00000000612f99 
/usr/bin/zarafa-server(_Z10soap_serveP4soap+0xb9) [0x612f99]
Wed 05 May 2010 11:34:10 AM EDT: 0x0000000047957b 
/usr/bin/zarafa-server(_ZN22ECSoapServerConnection15process_requestEPv+0xbb) 
[0x47957b]
Wed 05 May 2010 11:34:10 AM EDT: 0x007f2516658951 
/lib64/libpthread.so.0(+0x7951) [0x7f2516658951]
Wed 05 May 2010 11:34:10 AM EDT: 0x007f25163aed3d 
/lib64/libc.so.6(clone+0x6d) [0x7f25163aed3d]
Wed 05 May 2010 11:34:10 AM EDT: When reporting this traceback, please 
include Linux distribution name, system architecture and Zarafa version.
Wed 05 May 2010 11:34:10 AM EDT: Caught SIGSEGV (11), traceback:
Wed 05 May 2010 11:34:10 AM EDT: 0x0000000047342b 
/usr/bin/zarafa-server(_Z7sigsegvi+0x4b) [0x47342b]
Wed 05 May 2010 11:34:10 AM EDT: 0x007f2516660960 
/lib64/libpthread.so.0(+0xf960) [0x7f2516660960]
Wed 05 May 2010 11:34:10 AM EDT: 0x007f25163a7893 
/lib64/libc.so.6(__select+0x33) [0x7f25163a7893]
Wed 05 May 2010 11:34:10 AM EDT: 0x000000004781ea 
/usr/bin/zarafa-server(_ZN22ECSoapServerConnection6SelectEv+0x12a) 
[0x4781ea]
Wed 05 May 2010 11:34:10 AM EDT: 0x000000004771f5 
/usr/bin/zarafa-server(_Z14running_serverPcS_+0x1f95) [0x4771f5]
Wed 05 May 2010 11:34:10 AM EDT: 0x00000000477c6c 
/usr/bin/zarafa-server(main+0x5ec) [0x477c6c]
Wed 05 May 2010 11:34:10 AM EDT: 0x007f25162e8d2d 
/lib64/libc.so.6(__libc_start_main+0xfd) [0x7f25162e8d2d]
Wed 05 May 2010 11:34:10 AM EDT: 0x00000000473059 
/usr/bin/zarafa-server() [0x473059]
Wed 05 May 2010 11:34:10 AM EDT: When reporting this traceback, please 
include Linux distribution name, system architecture and Zarafa version.

Version-Release number of selected component (if applicable):
zarafa-6.30.12-1.fc13

Actual results:
SIGSEV after CalDav usage via Thunderbird or Sunbird.

Expected results:
No SIGSEV after CalDav usage via Thunderbird or Sunbird.
Comment 1 Bug Zapper 2011-06-02 10:18:36 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-27 12:12:20 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.